%define name    pgadmin3
%define version 1.14.3
%define release %mkrel 3
%define Summary Graphical client for PostgreSQL

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic
Group:		Databases
Source0:	ftp://ftp4.fr.postgresql.org/pub/mirrors/postgresql/pgadmin3/release/v%{version}/src/%{name}-%{version}.tar.gz
Patch1:		pgadmin3-1.12.2-desktop-file.patch
Patch2:		pgadmin3-1.14.3-automake_1.13.patch
URL:		http://www.pgadmin.org/
BuildRequires:	wxgtku-devel >= 2.8
BuildRequires:	postgresql-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libxslt-devel
BuildRequires:	imagemagick

%description
PostgreSQL graphical Tools.

%prep
%setup -q
%patch1 -p0 -b .desktop
%patch2 -p1 -b .automake

%build
autoreconf -fi
%configure2_5x
%make

%install
%makeinstall_std

rm -f %buildroot/usr/share/pgadmin3/docs/en_US/pgadmin3.hhp.cached

desktop-file-install --dir %{buildroot}/%{_datadir}/applications/ \
	--remove-category=Application \
	--add-category=Database \
	pkg/%{name}.desktop

install -d $RPM_BUILD_ROOT{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
convert -size 16x16 pgadmin/include/images/pgAdmin3.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
convert -size 32x32 pgadmin/include/images/pgAdmin3.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -size 48x48 pgadmin/include/images/pgAdmin3.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%files
%{_bindir}/%{name}
%{_bindir}/png2c
%{_datadir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.14.3-3.mga3
+ Revision: 375645
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 sander85 <sander85> 1.14.3-2.mga3
+ Revision: 340116
- Fix for automake 1.13

* Wed Aug 01 2012 nanardon <nanardon> 1.14.3-1.mga3
+ Revision: 277228
- 1.14.3
- fix #6906 (file world writable)

* Mon Dec 19 2011 nanardon <nanardon> 1.14.1-1.mga2
+ Revision: 184272
- 1.14.1

* Thu Nov 17 2011 nanardon <nanardon> 1.14.0-1.mga2
+ Revision: 168345
- 1.14.0

  + ahmad <ahmad>
    - Rebuild against wxgtk2.8 with enabled catch_segvs

* Fri Apr 08 2011 nanardon <nanardon> 1.12.2-2.mga1
+ Revision: 82395
- imported package pgadmin3

